FUNCTION TEMPL(3)

NAME
boost::algorithm::ierase_all - Erase all algorithm ( case insensitive )

SYNOPSIS

// In header: <boost/algorithm/string/erase.hpp>
template<typename SequenceT, typename RangeT>
  void ierase_all(SequenceT & Input, const RangeT & Search,
                  const std::locale & Loc = std::locale());

DESCRIPTION

Remove all the occurrences of the string from the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters:

    Input
        An input string

    Loc
        A locale used for case insensitive comparison

    Search
        A substring to be searched for.